$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.106-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.106-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'AD6BA9403DFC2E23B36D81EFA05732DE6C90E4E372239891649326B01D8BD4FF'
  checksumType = 'sha256'
  checksum64 = 'AD6BA9403DFC2E23B36D81EFA05732DE6C90E4E372239891649326B01D8BD4FF'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.106-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
